Functions | Variables

# signs_func.h File Reference

Functions related to signs. More...

`#include "signs_type.h"`
`#include "tile_type.h"`

Go to the source code of this file.

## Functions
void | UpdateAllSignVirtCoords ()
| Update the coordinates of all signs.
void | PlaceProc_Sign (TileIndex tile)
| PlaceProc function, called when someone pressed the button if the sign-tool is selected.
void | ShowRenameSignWindow (const Sign *si)
| Show the window to change the text of a sign.
void | HandleClickOnSign (const Sign *si)
| Handle clicking on a sign.
void | DeleteRenameSignWindow (SignID sign)
| Close the sign window associated with the given sign.
Window * | ShowSignList ()
| Open the sign list window.
## Variables
SignID | _new_sign_id
| The last built sign.

## Detailed Description

Functions related to signs.

Definition in file signs_func.h.

## Function Documentation

void DeleteRenameSignWindow | ( | SignID | sign | ) |

Close the sign window associated with the given sign.

Parameters:

  | sign | The sign to close the window for.

Definition at line 570 of file signs_gui.cpp.

References FindWindowById(), WC_QUERY_STRING, and WN_QUERY_STRING_SIGN.

Referenced by Sign::~Sign().

void HandleClickOnSign | ( | const Sign * | si | ) |

Handle clicking on a sign.

Parameters:

  | si | The sign that was clicked on.

Definition at line 545 of file signs_gui.cpp.

References _ctrl_pressed, _local_company, Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem< Tpool >::index, OWNER_DEITY, RenameSign(), and ShowRenameSignWindow().

void PlaceProc_Sign | ( | TileIndex | tile | ) |

PlaceProc function, called when someone pressed the button if the sign-tool is selected.

Parameters:

  | tile | on which to place the sign

Definition at line 130 of file signs_cmd.cpp.

References CcPlaceSign(), CMD_MSG, CMD_PLACE_SIGN, and DoCommandP().

Referenced by ScenarioEditorToolbarWindow::OnPlaceObject(), MainToolbarWindow::OnPlaceObject(), and TerraformToolbarWindow::OnPlaceObject().

void ShowRenameSignWindow | ( | const Sign * | si | ) |

Show the window to change the text of a sign.

Parameters:

  | si | The sign to show the window for.

Definition at line 558 of file signs_gui.cpp.

References DeleteWindowByClass(), and WC_QUERY_STRING.

Referenced by CcPlaceSign(), and HandleClickOnSign().

Window* ShowSignList | ( |  | ) |

Open the sign list window.

Returns:
  newly opened sign list window, or NULL if the window could not be opened.

Definition at line 384 of file signs_gui.cpp.

Referenced by MenuClickMap(), and MainToolbarWindow::OnKeyPress().

## Variable Documentation

SignID _new_sign_id

The last built sign.

Definition at line 25 of file signs_cmd.cpp.

Referenced by CcPlaceSign(), and CmdPlaceSign().